Subject: bug#54826: 29.0.50; Prevent duplicate prompts when reconnecting in ERC

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 10 Apr 2022 14:36:31 +0200

"J.P." <[email-masked]> writes:

> The proposed patch leverages a long abandoned option called
> `erc-hide-prompt' to help address both these concerns.

Makes sense to me.

> 1. Currently, channels and queries are lumped together as 'target'. What
>    about changing the shape of the option to a set of {'server',
>    'channel', 'query'} in a union with t for "all of the above" (to
>    preserve compatibility)?

Sure.

>    Is overloading the "prompt hidden" indicator with multiple meanings
>    too distracting? (Currently, it means both "disconnected" and
>    "physically connected but possibly not resumable".) Should we instead
>    just reveal the prompt for all queries upon reconnecting, even though
>    it may not be possible to continue certain conversations? Would it be
>    worth accommodating both behaviors via yet another knob (or perhaps
>    different 'query' variants, when going with 1, above)?

I think a new knob would be probably be preferable.

> 2. Right now, the prompt looks like this when hidden:
>
>    n-1 | *** ERC finished ***                                   [04:30]
>    n   | >_
>
>    Where _ is the cursor at point max. Should we leave a space after the
>    ">"?

I think having a space there would be good.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no